import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeDatePickerComponent from "./src/date-picker.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeDatePicker = Object.assign({}, VxeDatePickerComponent, {
  install(app) {
    app.component(VxeDatePickerComponent.name, VxeDatePickerComponent);
  }
});
dynamicApp.use(VxeDatePicker);
VxeUI.component(VxeDatePickerComponent);
const DatePicker = VxeDatePicker;
export {
  DatePicker,
  VxeDatePicker,
  VxeDatePicker as default
};
